Name:           python-pyinsane
Version:        1.3.8
Release:        %mkrel 6
Summary:        Python implementation of the Sane API
Group:          Development/Python
License:        GPLv3
Url:            https://github.com/jflesch/pyinsane
Source0:        %name-%version.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(xt)
BuildRequires:  python-setuptools
Requires:       python
Requires:       libsane

%description
Python implementation of the Sane API (using ctypes) and abstration layer.
The code is divided in 3 layers:

rawapi      : Ctypes binding to the raw Sane API
abstract    : An Object-Oriented layer that simplifies the use of the Sane API
              and try to avoid possible misuse of the Sane API. When scanning,
              it also takes care of returning a PIL image.
abstract_th : The Sane API is not thread-safe and cannot be used in a
              multi-threaded environment easily.
              This layer solves this problem but using a fully dedicated thread.

%package -n python3-pyinsane
Summary:        Python implementation of the Sane API
BuildArch:      noarch
BuildRequires:  pkgconfig(xt)
BuildRequires:  python3-setuptools

%description -n python3-pyinsane
Python implementation of the Sane API (using ctypes) and abstration layer.
The code is divided in 3 layers:

rawapi      : Ctypes binding to the raw Sane API
abstract    : An Object-Oriented layer that simplifies the use of the Sane API
              and try to avoid possible misuse of the Sane API. When scanning,
              it also takes care of returning a PIL image.
abstract_th : The Sane API is not thread-safe and cannot be used in a
              multi-threaded environment easily.
              This layer solves this problem but using a fully dedicated thread.

%prep
%setup -q
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc ChangeLog README.md
%{python2_sitelib}/pyinsane-%{version}_git-py%{python2_version}.egg-info
%{python2_sitelib}/pyinsane/*

%files -n python3-pyinsane
%doc ChangeLog README.md
%{python3_sitelib}/pyinsane-%{version}_git-py%{python3_version}.egg-info
%{python3_sitelib}/pyinsane/*



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.3.8-6.mga6
+ Revision: 971090
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 1.3.8-5.mga6
+ Revision: 889262
- rebuild for python 3.5
- use new python macros

  + tv <tv>
    - rebuild for python 3.5

* Mon Jun 22 2015 dglent <dglent> 1.3.8-3.mga6
+ Revision: 839725
- Add python3 package

* Wed Oct 15 2014 umeabot <umeabot> 1.3.8-2.mga5
+ Revision: 747522
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 dglent <dglent> 1.3.8-1.mga5
+ Revision: 730945
- imported package python-pyinsane

